Package jnr.constants.platform.aix

# Enum AddressFamily

java.lang.Object
java.lang.Enum<AddressFamily>
jnr.constants.platform.aix.AddressFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<AddressFamily>`, `java.lang.constant.Constable`, `Constant`

public enum AddressFamily extends Enum<AddressFamily> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AF_APPLETALK`
`AF_CCITT`
`AF_CHAOS`
`AF_DATAKIT`
`AF_DECnet`
`AF_DLI`
`AF_ECMA`
`AF_HYLINK`
`AF_IMPLINK`
`AF_INET`
`AF_INET6`
`AF_ISO`
`AF_LAT`
`AF_LINK`
`AF_MAX`
`AF_NS`
`AF_OSI`
`AF_PUP`
`AF_ROUTE`
`AF_SNA`
`AF_UNIX`
`AF_UNSPEC`
`pseudo_AF_XTP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`static AddressFamily`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AddressFamily[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### AF_UNSPEC

public static final AddressFamily AF_UNSPEC

### AF_UNIX

public static final AddressFamily AF_UNIX

### AF_INET

public static final AddressFamily AF_INET

### AF_IMPLINK

public static final AddressFamily AF_IMPLINK

### AF_PUP

public static final AddressFamily AF_PUP

### AF_CHAOS

public static final AddressFamily AF_CHAOS

### AF_NS

public static final AddressFamily AF_NS

### AF_ISO

public static final AddressFamily AF_ISO

### AF_OSI

public static final AddressFamily AF_OSI

### AF_ECMA

public static final AddressFamily AF_ECMA

### AF_DATAKIT

public static final AddressFamily AF_DATAKIT

### AF_CCITT

public static final AddressFamily AF_CCITT

### AF_SNA

public static final AddressFamily AF_SNA

### AF_DECnet

public static final AddressFamily AF_DECnet

### AF_DLI

public static final AddressFamily AF_DLI

### AF_LAT

public static final AddressFamily AF_LAT

### AF_HYLINK

public static final AddressFamily AF_HYLINK

### AF_APPLETALK

public static final AddressFamily AF_APPLETALK

### AF_ROUTE

public static final AddressFamily AF_ROUTE

### AF_LINK

public static final AddressFamily AF_LINK

### pseudo_AF_XTP

public static final AddressFamily pseudo_AF_XTP

### AF_INET6

public static final AddressFamily AF_INET6

### AF_MAX

public static final AddressFamily AF_MAX

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static AddressFamily[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AddressFamily valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`